<?php
require_once "connect.php";

$id_usuario = 1;
$st_ativo		= 1;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}
// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}

$ds_condicao = trim($_POST['ds_condicao']);
$id_tipo = trim($_POST['id_tipo']);
$nr_qtde_parcelas = trim($_POST['nr_qtde_parcelas']);
$nr_dia = trim($_POST['nr_dia']);
$ds_estrutura = trim($_POST['ds_estrutura']);
$fl_cheque = trim($_POST['fl_cheque']);
$id_icm_solidario = trim($_POST['id_icm_solidario']);
$id_ipi = trim($_POST['id_ipi']);
$vl_perc_juros_adicionais = trim($_POST['vl_perc_juros_adicionais']);
if(isset($_POST['fl_gera_titulo'])){
    if($_POST['fl_gera_titulo'] == 'on'){
        $fl_gera_titulo = 1;
    }
}else{
    $fl_gera_titulo = 0;
}


/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_condicao_pagamento set
   ds_condicao='$ds_condicao'
  ,id_tipo='$id_tipo'
  ,nr_qtde_parcelas='$nr_qtde_parcelas'
  ,nr_dia='$nr_dia'
  ,ds_estrutura='$ds_estrutura'
  ,fl_cheque='$fl_cheque'
  ,id_icm_solidario='$id_icm_solidario'
  ,id_ipi='$id_ipi'
  ,vl_perc_juros_adicionais='$vl_perc_juros_adicionais'
  ,fl_gera_titulo_receber=$fl_gera_titulo
  ,dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_condicao_pagamento set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_condicao_pagamento(
     ds_condicao
    ,id_tipo
    ,nr_qtde_parcelas
    ,nr_dia
    ,ds_estrutura
    ,fl_cheque
    ,id_icm_solidario
    ,id_ipi
    ,vl_perc_juros_adicionais
    ,fl_gera_titulo_receber
    ,st_ativo, id_usuario)";

		$sql .="values(
     '$ds_condicao'
    ,'$id_tipo'
    ,'$nr_qtde_parcelas'
    ,'$nr_dia'
    ,'$ds_estrutura'
    ,'$fl_cheque'
    ,'$id_icm_solidario'
    ,'$id_ipi'
    ,'$vl_perc_juros_adicionais'
    ,$fl_gera_titulo
    , $st_ativo, $id_usuario)";
}
 
// executa sql
if($sql!=""){
	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
	$ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  echo $sql;
  header("Location:erpc_condicao_pagamento_list.php");
}
?>
